﻿// =================================================================================================
// Copyright © Woodlands Solutions, LLC. 2008-2012.  All Rights Reserved.
// Author :  Steve Wall
// Date   :  05/17/2012
// =================================================================================================

#region Using Statements
using System.Windows;
#endregion

namespace XamGeographicMap
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            this.Loaded += OnSampleLoaded;
        }

        private void OnSampleLoaded(object sender, RoutedEventArgs e)
        {
            // 39.8333° N, 98.5833° W (US Center)
            ZoomMapToLocation(39.8333, -98.5833);
        }

        private void HoustonZoomButtonOnClick(object sender, RoutedEventArgs e)
        {
            // 29.7631° N, 95.3631° W
            ZoomMapToLocation(29.7631, -95.3631);
        }

        private void ResetButtonOnClick(object sender, RoutedEventArgs e)
        {
            // 39.8333° N, 98.5833° W (US Center)
            ZoomMapToLocation(39.8333, -98.5833);
        }

        private void ResetButton2OnClick(object sender, RoutedEventArgs e)
        {
            Rect geoRect = new Rect(-120.261862091919, 17.6212032188595, 48.5727415792947, 37.5766021879136);
            Rect windowRect = DataMap.GetZoomFromGeographic(geoRect);
            DataMap.WindowRect = windowRect;
        }

        private void WoodlandsZoomButtonOnClick(object sender, RoutedEventArgs e)
        {
            // 30.1775° N, 95.5039° W
            ZoomMapToLocation(30.1775, -95.5039);
        }

        private void ZoomMapToLocation(double latitude, double longitude)
        {
            // navigate to a geographic location
            Rect geoRect = new Rect(longitude, latitude, 3, 3);
            Rect windowRect = DataMap.GetZoomFromGeographic(geoRect);
            DataMap.WindowRect = windowRect;
        }
    }
}
